Get activity spml suggestions by activity code type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/classification/activity-code-type-mapping-types/{activityCodeTypeMappingType}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • activityCodeTypeMappingType string Required

    Values are TRADE or WEATHER_SUSCEPTIBILITY.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • classificationType string

      Values are TRADE or WEATHER_SUSCEPTIBILITY.

    • generatedAt string(date-time)
    • suggestions string
    • spmlPredictionId string
    • projectId integer(int64)
    • activityId integer(int64)
    • scenarioId integer(int64)
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/classification/activity-code-type-mapping-types/{activityCodeTypeMappingType}
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/scenarios/{scenarioId}/classification/activity-code-type-mapping-types/{activityCodeTypeMappingType}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": 42,
    "classificationType": "TRADE",
    "generatedAt": "2026-05-04T09:42:00Z",
    "suggestions": "string",
    "spmlPredictionId": "string",
    "projectId": 42,
    "activityId": 42,
    "scenarioId": 42
  }
]